Skip to main content
GET
/
billing
Get billing status
curl --request GET \
  --url https://api.goyappr.com/billing \
  --header 'Authorization: Bearer <token>'
{
  "has_payment_method": true,
  "billing_email": "jsmith@example.com",
  "balance_cents": 123,
  "balance": 123,
  "currency": "usd",
  "is_suspended": true,
  "auto_topup_enabled": true,
  "auto_topup_amount_cents": 123,
  "low_balance_threshold_cents": 123
}

Authorizations

Authorization
string
header
required

Your Yappr API key (e.g. ypr_live_...). Generate one in the dashboard under Settings → API Keys.

Response

Billing status

has_payment_method
boolean
billing_email
string<email>
balance_cents
integer
balance
number
currency
string
Example:

"usd"

is_suspended
boolean
auto_topup_enabled
boolean
auto_topup_amount_cents
integer
low_balance_threshold_cents
integer